Bug 1011434 - [abrt] gjs-1.37.6-1.fc20: object_instance_finalize: Process /usr/bin/gjs-console was killed by signal 5 (SIGTRAP)
[abrt] gjs-1.37.6-1.fc20: object_instance_finalize: Process /usr/bin/gjs-cons...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: gjs (Show other bugs)
20
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Colin Walters
Fedora Extras Quality Assurance
abrt_hash:7dd1ea2f17725568463bc830e56...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-24 05:24 EDT by Igor Gnatenko
Modified: 2015-06-29 08:27 EDT (History)
24 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-06-29 08:27:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (56.20 KB, text/plain)
2013-09-24 05:24 EDT, Igor Gnatenko
no flags Details
File: cgroup (159 bytes, text/plain)
2013-09-24 05:24 EDT, Igor Gnatenko
no flags Details
File: core_backtrace (33.44 KB, text/plain)
2013-09-24 05:24 EDT, Igor Gnatenko
no flags Details
File: dso_list (14.12 KB, text/plain)
2013-09-24 05:24 EDT, Igor Gnatenko
no flags Details
File: environ (1.08 KB, text/plain)
2013-09-24 05:25 EDT, Igor Gnatenko
no flags Details
File: limits (1.29 KB, text/plain)
2013-09-24 05:25 EDT, Igor Gnatenko
no flags Details
File: maps (56.88 KB, text/plain)
2013-09-24 05:25 EDT, Igor Gnatenko
no flags Details
File: open_fds (347 bytes, text/plain)
2013-09-24 05:25 EDT, Igor Gnatenko
no flags Details
File: proc_pid_status (931 bytes, text/plain)
2013-09-24 05:25 EDT, Igor Gnatenko
no flags Details
File: var_log_messages (284 bytes, text/plain)
2013-09-24 05:25 EDT, Igor Gnatenko
no flags Details

  None (edit)
Description Igor Gnatenko 2013-09-24 05:24:42 EDT
Version-Release number of selected component:
gjs-1.37.6-1.fc20

Additional info:
reporter:       libreport-2.1.7
backtrace_rating: 4
cmdline:        /usr/bin/gjs-console -I /usr/share/gnome-documents/js -c 'const Main = imports.main; Main.start();' --no-default-window
crash_function: object_instance_finalize
executable:     /usr/bin/gjs-console
kernel:         3.11.1-300.fc20.x86_64
runlevel:       unknown
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #2 object_instance_finalize at gi/object.c:1331
 #3 finalize at /usr/src/debug/mozjs17.0.0/js/src/jsobjinlines.h:235
 #4 finalize<JSObject> at /usr/src/debug/mozjs17.0.0/js/src/jsgc.cpp:355
 #5 FinalizeTypedArenas<JSObject> at /usr/src/debug/mozjs17.0.0/js/src/jsgc.cpp:419
 #6 js::gc::FinalizeArenas at /usr/src/debug/mozjs17.0.0/js/src/jsgc.cpp:456
 #7 finalizeNow at /usr/src/debug/mozjs17.0.0/js/src/jsgc.cpp:1634
 #8 js::gc::ArenaLists::queueObjectsForSweep at /usr/src/debug/mozjs17.0.0/js/src/jsgc.cpp:1730
 #9 BeginSweepPhase at /usr/src/debug/mozjs17.0.0/js/src/jsgc.cpp:3759
 #10 IncrementalCollectSlice at /usr/src/debug/mozjs17.0.0/js/src/jsgc.cpp:4230
 #11 GCCycle at /usr/src/debug/mozjs17.0.0/js/src/jsgc.cpp:4408
Comment 1 Igor Gnatenko 2013-09-24 05:24:47 EDT
Created attachment 802123 [details]
File: backtrace
Comment 2 Igor Gnatenko 2013-09-24 05:24:50 EDT
Created attachment 802124 [details]
File: cgroup
Comment 3 Igor Gnatenko 2013-09-24 05:24:54 EDT
Created attachment 802125 [details]
File: core_backtrace
Comment 4 Igor Gnatenko 2013-09-24 05:24:59 EDT
Created attachment 802126 [details]
File: dso_list
Comment 5 Igor Gnatenko 2013-09-24 05:25:02 EDT
Created attachment 802127 [details]
File: environ
Comment 6 Igor Gnatenko 2013-09-24 05:25:06 EDT
Created attachment 802128 [details]
File: limits
Comment 7 Igor Gnatenko 2013-09-24 05:25:10 EDT
Created attachment 802129 [details]
File: maps
Comment 8 Igor Gnatenko 2013-09-24 05:25:14 EDT
Created attachment 802130 [details]
File: open_fds
Comment 9 Igor Gnatenko 2013-09-24 05:25:18 EDT
Created attachment 802131 [details]
File: proc_pid_status
Comment 10 Igor Gnatenko 2013-09-24 05:25:22 EDT
Created attachment 802132 [details]
File: var_log_messages
Comment 11 Edwin Piercin 2014-01-10 07:41:49 EST
Another user experienced a similar problem:





                    

reporter:       libreport-2.1.10
backtrace_rating: 4
cmdline:        /usr/bin/gjs-console -I /usr/share/gnome-documents/js -c 'const Main = imports.main; Main.start();' --no-default-window
crash_function: object_instance_finalize
executable:     /usr/bin/gjs-console
kernel:         3.12.5-302.fc20.x86_64
package:        gjs-1.38.1-1.fc20
reason:         gjs-console killed by SIGTRAP
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 12 P. José 2014-01-17 05:59:42 EST
Another user experienced a similar problem:

The system doesn't "frozen", just appeared an error message.

reporter:       libreport-2.1.11
backtrace_rating: 4
cmdline:        /usr/bin/gjs-console -I /usr/share/gnome-documents/js -c 'const Main = imports.main; Main.start();' --no-default-window
crash_function: object_instance_finalize
executable:     /usr/bin/gjs-console
kernel:         3.12.7-300.fc20.x86_64
package:        gjs-1.38.1-1.fc20
reason:         gjs-console killed by SIGTRAP
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 13 P. José 2014-02-19 18:45:15 EST
Another user experienced a similar problem:

I altered the Java application priority at the system monitor to the very high priority.
Nothing has happened (no crash), just an error message.

reporter:       libreport-2.1.12
backtrace_rating: 4
cmdline:        /usr/bin/gjs-console -I /usr/share/gnome-documents/js -c 'const Main = imports.main; Main.start();' --no-default-window
crash_function: object_instance_finalize
executable:     /usr/bin/gjs-console
kernel:         3.13.3-201.fc20.x86_64
package:        gjs-1.38.1-1.fc20
reason:         gjs-console killed by SIGTRAP
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 14 Mikhail 2014-03-09 03:25:34 EDT
Another user experienced a similar problem:

re run compare operation in meld

reporter:       libreport-2.2.0
backtrace_rating: 4
cmdline:        /usr/bin/gjs-console -I /usr/share/gnome-documents/js -c 'const Main = imports.main; Main.start();' --no-default-window
crash_function: object_instance_finalize
executable:     /usr/bin/gjs-console
kernel:         3.13.6-200.fc20.x86_64
package:        gjs-1.38.1-1.fc20
reason:         gjs-console killed by SIGTRAP
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 15 Fedora End Of Life 2015-05-29 05:26:49 EDT
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 16 Fedora End Of Life 2015-06-29 08:27:02 EDT
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.